Returns a value associated with the specified key

- « Imagick::getNumberImages

- Imagick::getPackageName »

- PHP Manual
- Imagick
- Returns a value associated with the specified key

# Imagick::getOption

(PECL imagick 2, PECL imagick 3)

Imagick::getOption — Returns a value associated with the specified key

### Description

public Imagick::getOption(string `$key`): string

Returns a value associated within the object for the specified key.

### Parameters

`key`

  The name of the option

### Return Values

Returns a value associated with a wand and the specified key.

### Errors/Exceptions

Throws ImagickException on error.